## Process this file with automake to produce Makefile.in
##
## $Id: Makefile.am,v 1.2 2007/05/29 19:06:09 adeniz Exp $
##
## automake input for the ARM Research Labs SNFServer distribution
## (top directory).
##
## Author:  Alban Deniz
##
## Copyright (C) 2008 ARM Research Labs, LLC.
## See www.armresearch.com for the copyright terms.
##

SUBDIRS = 				\
	binary/SNFServer       	        \
	binary/SNFClient                \
	binary/SNF2Check                \
	binary/SNFServerConfig          \
	Scripts				\
	config_files			\
	Docs

noinst_HEADERS =                    				  \
	@top_srcdir@/source/CodeDweller/base64codec.hpp		  \
	@top_srcdir@/source/CodeDweller/configuration.hpp	  \
	@top_srcdir@/source/CodeDweller/configuration.inline.hpp  \
	@top_srcdir@/source/CodeDweller/histogram.hpp		  \
	@top_srcdir@/source/CodeDweller/networking.hpp		  \
	@top_srcdir@/source/CodeDweller/networking.inline.hpp	  \
	@top_srcdir@/source/CodeDweller/threading.hpp		  \
	@top_srcdir@/source/CodeDweller/faults.hpp		  \
	@top_srcdir@/source/CodeDweller/mangler.hpp		  \
	@top_srcdir@/source/CodeDweller/timing.hpp                \
        @top_srcdir@/source/SNFMulti/snf_saccades.hpp             \
	@top_srcdir@/source/SNFMulti/FilterChain.hpp		  \
	@top_srcdir@/source/SNFMulti/GBUdb.hpp			  \
	@top_srcdir@/source/SNFMulti/GBUdb.inline.hpp		  \
	@top_srcdir@/source/SNFMulti/scanner.hpp		  \
	@top_srcdir@/source/SNFMulti/snfCFGmgr.hpp		  \
	@top_srcdir@/source/SNFMulti/snfCFGmgr.inline.hpp	  \
	@top_srcdir@/source/SNFMulti/snf_engine.hpp		  \
	@top_srcdir@/source/SNFMulti/snfGBUdbmgr.hpp		  \
	@top_srcdir@/source/SNFMulti/snf_HeaderFinder.hpp	  \
	@top_srcdir@/source/SNFMulti/snf_HeaderFinder.inline.hpp  \
	@top_srcdir@/source/SNFMulti/snfLOGmgr.hpp		  \
	@top_srcdir@/source/SNFMulti/snfLOGmgr.inline.hpp	  \
	@top_srcdir@/source/SNFMulti/SNFMulti.hpp		  \
	@top_srcdir@/source/SNFMulti/snfNETmgr.hpp		  \
	@top_srcdir@/source/SNFMulti/snf_sync.hpp		  \
	@top_srcdir@/source/SNFMulti/snf_xci.hpp		  \
	@top_srcdir@/source/SNFMulti/snfXCImgr.hpp		  \
	@top_srcdir@/source/SNFMulti/snf_match.h                  \
	@top_srcdir@/source/SNFUtility/Common/Utility.hpp         \
	@top_srcdir@/source/SNFUtility/Common/UtilityConfig.hpp   \
	@top_srcdir@/source/SNFUtility/Common/MtaIntegrate.hpp    \
	@top_srcdir@/source/SNFUtility/Common/FileBackup.hpp      \
	@top_srcdir@/source/SNFUtility/SNFServerConfig/SNFServerConfig.hpp   \
	@top_srcdir@/source/SNFUtility/SNFServerConfig/PostfixIntegrate.hpp  \
	@top_srcdir@/source/SNFUtility/SNFServerConfig/SendmailIntegrate.hpp

doc_DATA =				\
	BUGS				\
	ChangeLog  			\
	README 				\
	TODO				\
	INSTALL				\
	COPYING

EXTRA_DIST = 				\
	$(doc_DATA)			\
	Makefile.am			\
	configure.ac			\
	configure.ac.in			\
	SNF4SA/INSTALL			\
	SNF4SA/README			\
	SNF4SA/snf4sa.cf		\
	SNF4SA/snf4sa.pm

DISTCHECK_CONFIGURE_FLAGS=--enable-os-type=OpenBSD
